Subject: RE: [bmwg] Proposal on IPv6 Benchmarking

From: "Silvija Andrijic Dry \(sdry\)" <[email-masked]>
Date: Fri, 25 Aug 2006 17:12:26 -0400

Al & BMWG,

I am in support of this work becoming BMWG chartered work. I belive that
draft will be very beneficial to BMWG user community as well as broader
audience as there needs to be standardized way to evaluate and compare
performance capabilities of v6 devices and this draft is addressing
exactly that.

I will support it by reviewing the
draft:draft-popoviciu-bmwg-ipv6benchmarking-01.txt by 09/20/06 as well
as draft-popoviciu-bmwg-ipv6benchmarking-02.txt when it becomes
available.

Thx,

Silvija

-----Original Message-----
From: Al Morton [mailto:[email-masked]] 
Sent: Friday, August 25, 2006 4:20 PM
To: [email-masked]
Cc: Dan Romascanu
Subject: [bmwg] Proposal on IPv6 Benchmarking

BMWG,

The proponents of IPv6 Benchmarking have prepared a description of their
work effort in the form of a proposal, below.

BMWG discussed this work at the Montreal IETF-66 session, where there
was strong support and involved membership (see meeting minutes). The
related I-D can be found here:
http://tools.ietf.org/wg/bmwg/draft-popoviciu-bmwg-ipv6benchmarking-01.t
xt

Please weigh-in on whether this topic/draft should become part of BMWG's
chartered work, by

                    September 25, 2006

And, if you support the work, please say:

+  HOW you intend to support the development in BMWG,
    (by reviewing draft X by MM/DD/YY, for example),  or

+  WHY this work will be beneficial to BMWG's user community, or

+  Modifications that would make the proposal more useful
    (which we will discuss on the list), and

+  (anything else that's constructive)

And remember, we'd like to hear your opinion on the list, even if you
spoke in favor of this proposal at the meeting.

Thanks in advance for your efforts and commitment to BMWG!

Al
bmwg co-chair

========================================================================
=

Proposal for IPv6 Benchmarking Methodology

Summary:

This is a proposal for a BMWG work item that defines the IPv6
benchmarking requirements. It addresses the need for guidelines on
evaluating the performance of network elements handling IPv6 traffic by
itself or in conjunction with IPv4 traffic. While for the most part, the
IPv4 benchmarking methodology applies to IPv6 as well, the two protocols
are significantly different in certain aspects. These differences are
operationally important and for this reason, it is critical to
understand if network elements claiming support for IPv6 were designed
and optimized for its support. This proposed document follows the
structure of RFC2544 and complements it with recommendations that take
into consideration the
IPv6 protocol specifics.

Goal:

The objective of this work item is to prepare an Informational RFC that
complements RFC2544 with a set of benchmarks that address IPv6 specific
characteristics such as: addressing, header format changes, extension
header processing rules, etc. Based on the workgroup recommendations
thus far, this document will leverage existing terminology references
and structurally follows RFC2544.

Scope:

The focus of this effort is to benchmark aspects specific to the IPv6
protocol. It is complementary to, and not a replacement for RFC2544.
This document covers in detail the benchmark scenarios to be considered
for IPv6 and its co-existence with IPv4.

For all other benchmarks it shares with IPv4, it simply refers to
RFC2544. 
The list of media types mentioned in RFC2544 is updated with the
addition of Packet over SONET interfaces. This work effort will define
the size of the IPv6 Address space that should be dedicated to
benchmarking, and make that recommendation to IANA.

Motivation:

The accelerating interest in IPv6 and its adoption has dramatically
increased the need for IPv6 operational guidelines. Large scale IPv6
deployments are currently on-going or being planned. Since these
deployments are most often taking place over existing IPv4
infrastructure, the main challenges faced by designers and implementors
of services are: 
"How well do my network elements support IPv6" and "What is the impact
on
IPv4 of deploying IPv6?" Even those network operators that have a longer
term plan for deploying IPv6 are very mindful to use the regular
equipment upgrade process to make their infrastructure capable of
supporting IPv6.

The process of acquiring and planning for IPv6 capable equipment needs
to be matched with knowledge and standardized methods for evaluating its
IPv6 performance. Using only the existing IPv4 benchmarking
recommendations can hide the fact that a particular network element,
while minimally supporting IPv6, was not designed for high performance
and complete IPv6 support. This work builds on the RFC2544
recommendations by adding IPv6 specific benchmarks. It will enable the
engineering community to consistently perform evaluations of networking
equipment's IPv6 capabilities.

Schedule:

"IPv6 Benchmarking Methodology"

1) Consideration of list feedback on the proposal and current draft -
on-going

2) draft-popoviciu-bmwg-ipv6benchmarking-02.txt ready for WG list review
- 9/25

3) Present finalized version of the draft at IETF 67 and proceed with
the Working Group Last Call process

The document has been reviewed and discussed within BMWG and v6ops. With

the implementation and approval of the latest recommendations, we
believe 
this document will be ready for last call towards the end of this year.

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg

---

From: "Aamer Akhter \(aakhter\)" <[email-masked]>
Date: Sat, 26 Aug 2006 10:12:42 -0400

Hi Al and fellow BMWG folks,

I will review this work by September 20, 2006.

This is a good time for a benchmarking draft for IPv6, as it appears the technology is finally gaining serious mindshare in circles outside the IETF. To move forward for IPv6 deployments we need a methodology for comparing the most basic forms of use from the various vendor options. 

Regards,

-- 
Aamer Akhter / [email-masked]
Ent & Commercial Systems, cisco Systems

>  The proponents of IPv6 Benchmarking have prepared a description of
>  their work effort in the form of a proposal, below.
>  
>  BMWG discussed this work at the Montreal IETF-66 session,
>  where there was strong support and involved membership
>  (see meeting minutes). The related I-D can be found here:
>  http://tools.ietf.org/wg/bmwg/draft-popoviciu-bmwg-ipv6benchmarking-
>  01.txt
>  
>  Please weigh-in on whether this topic/draft should become part
>  of BMWG's chartered work, by
>  
>                      September 25, 2006
>  
>  And remember, we'd like to hear your opinion on the list,
>  even if you spoke in favor of this proposal at the meeting.
>  
>  =========================================================================
>  
>  benchmarking
>  requirements. It addresses the need for guidelines on evaluating the
>  performance of network elements handling IPv6 traffic by itself or in
>  conjunction with IPv4 traffic. While for the most part, the IPv4
>  benchmarking methodology applies to IPv6 as well, the two protocols are
>  significantly different in certain aspects. These differences are
>  operationally important and for this reason, it is critical to understand
>  if network elements claiming support for IPv6 were designed and optimized
>  for its support. This proposed document follows the structure of RFC2544
>  and complements it with recommendations that take into consideration the
>  IPv6 protocol specifics.
>  
>  Goal:
>  
>  header processing rules, etc. Based on the workgroup recommendations thus
>  far, this document will leverage existing terminology references and
>  structurally follows RFC2544.
>  
>  Scope:
>  
>  protocol. It is complementary to, and not a replacement for RFC2544. This
>  document covers in detail the benchmark scenarios to be considered for
>  IPv6
>  and its co-existence with IPv4.
>  
>  For all other benchmarks it shares with IPv4, it simply refers to RFC2544.
>  The list of media types mentioned in RFC2544 is updated with the addition
>  of Packet over SONET interfaces. This work effort will define the size of
>  the IPv6 Address space that should be dedicated to benchmarking, and make
>  that recommendation to IANA.
>  
>  Motivation:
>  
>  deployments are most often taking place over existing IPv4 infrastructure,
>  the main challenges faced by designers and implementors of services are:
>  "How well do my network elements support IPv6" and "What is the impact on
>  equipment
>  upgrade process to make their infrastructure capable of supporting IPv6.
>  
>  
>  The process of acquiring and planning for IPv6 capable equipment needs to
>  be matched with knowledge and standardized methods for evaluating its
>  IPv6
>  performance. Using only the existing IPv4 benchmarking recommendations
>  can
>  hide the fact that a particular network element, while minimally
>  supporting
>  IPv6, was not designed for high performance and complete IPv6 support.
>  This
>  work builds on the RFC2544 recommendations by adding IPv6 specific
>  benchmarks. It will enable the engineering community to consistently
>  perform evaluations of networking equipment's IPv6 capabilities.
>  
>  
>  Schedule:
>  
>  1) Consideration of list feedback on the proposal and current draft - on-
>  going
>  
>  3) Present finalized version of the draft at IETF 67 and proceed with the
>  Working Group Last Call process
>  
>  
>  the implementation and approval of the latest recommendations, we believe

---

From: Sven Lanckmans <[email-masked]>
Date: Mon, 28 Aug 2006 11:33:01 +0200

Hi,

I fully support this draft to make it part of BMWG's chartered work. There's
a strong need in the field for consistency in this area as more and more vendors
are making serious efforts to position IPv6.

I will review draft 01 before 9/9/2006 and will provide comments where needed. 

> Sent: Friday, August 25, 2006 10:20 PM
> To: [email-masked]
> Cc: Dan Romascanu
> believe this document will be ready for last call towards the end of
> this year.
>
>

---

From: "Rajiv Asati \(rajiva\)" <[email-masked]>
Date: Mon, 28 Aug 2006 20:49:30 -0400

Hi Al,

I will review this draft by 9/18. 
I strongly support this document becoming a WG item. 

Thanks.

Cheers,
Rajiv

> The proponents of IPv6 Benchmarking have prepared a 
> description of their work effort in the form of a proposal, below.
> 
> where there was strong support and involved membership (see 
> meeting minutes). The related I-D can be found here:
> http://tools.ietf.org/wg/bmwg/draft-popoviciu-bmwg-ipv6benchma
> rking-01.txt
> 
> Please weigh-in on whether this topic/draft should become 
> part of BMWG's chartered work, by
> 
>                     September 25, 2006
> 
> benchmarking requirements. It addresses the need for 
> guidelines on evaluating the performance of network elements 
> handling IPv6 traffic by itself or in conjunction with IPv4 
> traffic. While for the most part, the IPv4 benchmarking 
> methodology applies to IPv6 as well, the two protocols are 
> significantly different in certain aspects. These differences 
> are operationally important and for this reason, it is 
> critical to understand if network elements claiming support 
> for IPv6 were designed and optimized for its support. This 
> proposed document follows the structure of RFC2544 and 
> complements it with recommendations that take into consideration the
> IPv6 protocol specifics.
> 
> Goal:
> 
> The objective of this work item is to prepare an 
> Informational RFC that complements RFC2544 with a set of 
> benchmarks that address IPv6 specific characteristics such 
> as: addressing, header format changes, extension header 
> processing rules, etc. Based on the workgroup recommendations 
> thus far, this document will leverage existing terminology 
> references and structurally follows RFC2544.
> 
> Scope:
> 
> The focus of this effort is to benchmark aspects specific to 
> the IPv6 protocol. It is complementary to, and not a 
> replacement for RFC2544. This document covers in detail the 
> benchmark scenarios to be considered for IPv6 and its 
> co-existence with IPv4.
> 
> The list of media types mentioned in RFC2544 is updated with 
> the addition of Packet over SONET interfaces. This work 
> effort will define the size of the IPv6 Address space that 
> should be dedicated to benchmarking, and make that 
> recommendation to IANA.
> 
> Motivation:
> 
> The accelerating interest in IPv6 and its adoption has 
> dramatically increased the need for IPv6 operational 
> guidelines. Large scale IPv6 deployments are currently 
> on-going or being planned. Since these deployments are most 
> often taking place over existing IPv4 infrastructure, the 
> main challenges faced by designers and implementors of services are: 
> IPv4 of deploying IPv6?" Even those network operators that 
> have a longer term plan for deploying IPv6 are very mindful 
> to use the regular equipment upgrade process to make their 
> infrastructure capable of supporting IPv6.
> 
> 
> The process of acquiring and planning for IPv6 capable 
> equipment needs to be matched with knowledge and standardized 
> methods for evaluating its IPv6 performance. Using only the 
> existing IPv4 benchmarking recommendations can hide the fact 
> that a particular network element, while minimally supporting 
> IPv6, was not designed for high performance and complete IPv6 
> support. This work builds on the RFC2544 recommendations by 
> adding IPv6 specific benchmarks. It will enable the 
> engineering community to consistently perform evaluations of 
> networking equipment's IPv6 capabilities.
> 
> 
> Schedule:
> 
> 1) Consideration of list feedback on the proposal and current 
> draft - on-going
> 
> 2) draft-popoviciu-bmwg-ipv6benchmarking-02.txt ready for WG 
> list review - 9/25
> 
> 3) Present finalized version of the draft at IETF 67 and 
> proceed with the Working Group Last Call process
> 
>